# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/enc2xs perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Encode-PDFDoc
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt2
Summary: PDFDocEncoding support
Group: Development/Perl
License: perl
URL: https://github.com/eugmes/Encode-PDFDoc

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EU/EUGEN/%{module_name}-%{version}.tar.gz

%description
This module contains support for PDFDocEncoding used for text strings
in PDF documents outside of the document's content streams.
This encoding is described in the PDF 1.7 specification, Annex D.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/auto/*
%perl_vendor_archlib/E*
%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.03-alt2
- rebuild with perl 5.38

* Fri Oct 29 2021 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

